<?php

declare(strict_types=1);

use Ig\IgCookies\Resource\Rendering\IgYouTubeRenderer;
use Ig\IgCookies\Resource\Rendering\IgVimeoRenderer;
use TYPO3\CMS\Core\Resource\Rendering\RendererRegistry;
use TYPO3\CMS\Core\Utility\GeneralUtility;

defined('TYPO3') or die();

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'IgCookies',
    'Hint',
    [
        \Ig\IgCookies\Controller\MainController::class => 'consent',
    ],
    // non-cacheable actions
    [
    ]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'IgCookies',
    'Config',
    [
        \Ig\IgCookies\Controller\MainController::class => 'config',
    ],
    // non-cacheable actions
    [
    ]
);


$rendererRegistry = GeneralUtility::makeInstance(RendererRegistry::class);
$rendererRegistry->registerRendererClass(IgYouTubeRenderer::class);
$rendererRegistry->registerRendererClass(IgVimeoRenderer::class);
unset($rendererRegistry);
